clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
MacroParenthesesCheck.cpp File Reference
`#include "MacroParenthesesCheck.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/Preprocessor.h"`
Include dependency graph for MacroParenthesesCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy

## Functions
static bool | clang::tidy::isSurroundedLeft (const Token &T)
| Is argument surrounded properly with parentheses/braces/squares/commas? More...
static bool | clang::tidy::isSurroundedRight (const Token &T)
| Is argument surrounded properly with parentheses/braces/squares/commas? More...
static bool | clang::tidy::isKeyword (const Token &T)
| Is given TokenKind a keyword? More...
static bool | clang::tidy::isWarnOp (const Token &T)
| Warning is written when one of these operators are not within parentheses. More...

## Variable Documentation

MacroParenthesesCheck* Check

Definition at line 39 of file MacroParenthesesCheck.cpp.

Preprocessor* PP

Definition at line 38 of file MacroParenthesesCheck.cpp.

Referenced by CollectEntitiesConsumer::HandleTranslationUnit(), CollectEntitiesVisitor::VisitLinkageSpecDecl(), and CollectEntitiesVisitor::VisitNamespaceDecl().